| Home | Libraries | People | FAQ | More

## Struct template divide_typeof_helper<boost::lambda::lambda_functor< Arg >, boost::units::unit< Dim, System >>

boost::units::divide_typeof_helper<boost::lambda::lambda_functor< Arg >, boost::units::unit< Dim, System >>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename System, typename Dim, typename Arg>
    struct divide_typeof_helper<boost::lambda::lambda_functor< Arg >, boost::units::unit< Dim, System >> {
      // types
      typedef boost::lambda::lambda_functor< boost::lambda::lambda_functor_base< boost::lambda::arithmetic_action< boost::lambda::divide_action >, tuple< boost::lambda::lambda_functor< Arg >, typename boost::lambda::const_copy_argument< const boost::units::unit< Dim, System > >::type > > > type;
    };